package Common.Passes;
import Common.Database.Database;
import Common.Database.Objects.DBObject;
import Common.Database.Tables.DBTable;
import Common.MainModule_;
public abstract class ObjectPass<D extends DBObject> extends Pass<D> {
    protected Class<D> d; //класс объектов.
    public ObjectPass(Class<D> d_in) {
        d = d_in;
    }
    protected Database getDb() {
        return MainModule_.instance.getDb();
    }
    //источник данных
    public DBTable getTable() {
        return getDb().getTable(d);
    } //таблица в источнике данных
    public String getDescription_() {
        return "?";
    }
    @Override
    public String getDescription() {
        return getTable().getSingleDescription() + ": " + getDescription_();
    }
    @Override//sorted
    public String getButtonText() {
        return "";
    }
}
